javax.print

## Interface MultiDocPrintService

- All Superinterfaces:
    PrintService

      public interface MultiDocPrintService
      extends PrintService

  Interface MultiPrintService is the factory for a MultiDocPrintJob. A MultiPrintService describes the capabilities of a Printer and can be queried regarding a printer's supported attributes.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiDocPrintJob` | `createMultiDocPrintJob()` Create a job which can print a multiDoc.

    - ### Methods inherited from interface javax.print.PrintService

      `addPrintServiceAttributeListener, createPrintJob, equals, getAttribute, getAttributes, getDefaultAttributeValue, getName, getServiceUIFactory, getSupportedAttributeCategories, getSupportedAttributeValues, getSupportedDocFlavors, getUnsupportedAttributes, hashCode, isAttributeCategorySupported, isAttributeValueSupported, isDocFlavorSupported, removePrintServiceAttributeListener`

- - ### Method Detail

    - #### createMultiDocPrintJob

          MultiDocPrintJob createMultiDocPrintJob()

      Create a job which can print a multiDoc.
      Returns:
        a MultiDocPrintJob

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.